paypal logo
undefined

Les marchands et les partenaires utilisent HTTPS pour se connecter aux serveurs PayPal de manière sécurisée. Nous utilisons le protocole TLS (Transport Layer Security) pour crypter ces communications. Pour assurer la sécurité de nos systèmes et suivre les bonnes pratiques du secteur, nous mettons à jour nos services pour exiger TLS 1.2 pour toutes les connexions HTTPS. Nous demanderons également le protocole HTTP/1.1 pour toutes les connexions.

Ce changement est effectif depuis le 28 juin 2018.

REMARQUE : Pour éviter d'avoir à effectuer des modifications de versions à l'avenir, nous vous recommandons de toujours coder votre système de façon à prendre en charge la version la plus récente.

Environnement de test et points de terminaison du pilote Payflow - Déjà actifs

Les points de terminaison de l'environnement de test PayPal et du pilote Payflow sont aux normes de sécurité les plus récentes, comme le seront les points de terminaison de production. Vous pouvez les utiliser pour vérifier que votre code prend bien en charge les normes exigées avant la mise à jour des points de terminaison de production. Ils permettent uniquement une connexion TLS 1.2 et HTTP/1.1 :

Points de terminaison de production - Déjà actifs

Ils permettront uniquement une connexion TLS 1.2 et HTTP/1.1 :

REMARQUE : Le site Braintree explique comment mettre à niveau les points de terminaison Braintree pour TLS 1.2.

Vérifiez vos systèmes sur https://tlstest.paypal.com.

Nous avons créé un nouveau point de terminaison : https://tlstest.paypal.com pour vous aider à vérifier que vos systèmes sont bien aux dernières normes de sécurité. Celui-ci prend en charge toutes les normes de sécurité qui seront imposées aux points de terminaison PayPal.

Chaque version du système est différente, vous devrez donc contacter votre administrateur système pour mettre à niveau votre structure de service TLS 1.2. Si vous avez encore besoin d'aide, consultez notre Annuaire des partenaires PayPal pour trouver des entreprises d'assistance pour ces types de systèmes. Pour mieux vous aider, nous avons rédigé des notes de test dans plusieurs langues pour les environnements courants. Nous prévoyons un impact important sur les environnements Java, y compris sur Android. D'autres environnements tels que .NET, PHP, Ruby, Python et Node.js peuvent également être affectés. Pour en savoir plus, consultez :

Dois-je utiliser TLS 1.2 lors de la connexion aux points de terminaison Braintree ?

PayPal modifiera-t-il son délai maintenant que le Conseil des normes de sécurité PCI a modifié le sien ? Nouveau !

Qu'est-il arrivé aux points de terminaison temporaires de l'environnement de test ?

Pour obtenir de l'aide, rendez-vous sur https://www.paypal-techsupport.com.


Rating: